%define anolis_release 1

Name:    libassuan
Summary: GnuPG IPC library
Version: 2.5.6
Release: %{anolis_release}%{?dist}

# The library is LGPLv2+, the documentation GPLv3+
License: LGPLv2+ and GPLv3+
Source0: https://gnupg.org/ftp/gcrypt/libassuan/libassuan-%{version}.tar.bz2
URL:     https://www.gnupg.org/

BuildRequires: gcc
BuildRequires: gawk
BuildRequires: libgpg-error-devel >= 1.8
BuildRequires: make

%description
This is the IPC library used by GnuPG 2, GPGME and a few other
packages.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel 
Summary: GnuPG IPC library 
Provides: libassuan2-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}

%description devel 
This is the IPC static library used by GnuPG 2, GPGME and a few other
packages.

This package contains files needed to develop applications using %{name}.


%prep
%setup -q


%build
%configure \
  --includedir=%{_includedir}/libassuan2

%make_build


%install
%make_install

%generate_compatibility_deps

%check
make check

%files
%dir %{abidir}
%license COPYING COPYING.LIB
%{_libdir}/libassuan.so.0*
%{abidir}/libassuan.dump

%files doc
%doc AUTHORS NEWS README

%files devel 
%{_bindir}/libassuan-config
%{_includedir}/libassuan2/
%{_libdir}/libassuan.so
%{_libdir}/pkgconfig/libassuan.pc
%{_datadir}/aclocal/libassuan.m4
%{_infodir}/assuan.info*

%changelog
* Wed Jul 12 2023 Funda Wang <fundawang@yeah.net> - 2.5.6-1
- New version 2.5.6

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.5.5-3
- optimise spec file

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.5.5-2
- add doc package

* Wed Mar 09 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 2.5.5-1
- New upstream release 
- Init for Anolis OS 23
